{% load i18n %}
{# represents one table row with a PR item #}
{# :param object: the PrescriptionRequest to display #}

<tr id="request-item-{{ object.pk }}" hx-swap-oob="beforeend"
    class="{% if perms.prescriptions.approve_prescriptionrequest and not object.approved %} text-black-50{% endif %}">
  {# status #}
  <td class="d-none d-md-table-cell">
    <span class="status-dot bg-priority-{{ object.priority }} d-block{% if object.priority == 5 %} status-dot-animated{% endif %}"></span>
  </td>
  <td class="d-none d-md-table-cell">
    <div>{{ object.created | timesince }}</div>
    <div class="small text-black-50">{{ object.created }}</div>
  </td>
  <td>{{ object.last_name | upper }}, {{ object.first_name }}<br/>
    <div class="text-black-50">{{ object.insurance_number }}</div>
  </td>

  {# comment field misused as freetext request #}
  <td class="text-wrap">{{ object.comment }}</td>

  <td class="d-none d-md-table-cell">{{ object.internal_comment }}</td>

  {# actions #}
  <td>

    {% if preferences.prescriptions.use_approval %}
      {% if perms.prescriptions.approve_prescriptionrequest %}
        {% if not object.approved %}
          <button class="btn btn-sm btn-success" hx-post="{%  url 'prescriptionrequest:approve' object.pk %}">
            {% translate "Approve" %}
          </button>
        {% endif %}
      {% endif %}
    {% endif %}
    {% if not preferences.prescriptions.use_approval or preferences.prescriptions.use_approval and object.approved %}
      {% if perms.prescriptions.delete_prescriptionrequest %}
        <button class="btn btn-sm btn-success" hx-post="{%  url 'prescriptionrequest:delete' object.pk %}">
          {% translate "Done" %}
        </button>
      {% endif %}
    {% endif %}

  </td>
</tr>